Page MenuHomePhabricator

[clangd] Call hierarchy (ClangdServer layer)
ClosedPublic

Authored by nridge on Nov 9 2020, 9:57 PM.

Diff Detail

Event Timeline

nridge created this revision.Nov 9 2020, 9:57 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 9 2020, 9:57 PM
nridge requested review of this revision.Nov 9 2020, 9:57 PM

can you also add some tests to ClangdTests.cpp ?

clang-tools-extra/clangd/ClangdServer.cpp
696

why do we run this on the mainthread ? I suppose we should just do WorkScheduler.run

702

can we reply with none/empty at clangdlsplayer directly and delete the outgoingCalls from both clangdserver and xrefs.cpp ?

nridge updated this revision to Diff 305408.Nov 15 2020, 8:07 PM
nridge marked 2 inline comments as done.

Address review comments

can you also add some tests to ClangdTests.cpp ?

It seems like they would be highly duplicative of the tests in CallHierarchyTests.cpp.

clang-tools-extra/clangd/ClangdServer.cpp
696

I was following what resolveTypeHierarchy did. Should I change that too?

kadircet accepted this revision.Nov 21 2020, 2:09 AM
kadircet added inline comments.
clang-tools-extra/clangd/ClangdServer.cpp
696

yes, i think we should. preferably on a different patch though.

This revision is now accepted and ready to land.Nov 21 2020, 2:09 AM
nridge updated this revision to Diff 306953.Nov 22 2020, 6:37 PM

Update as per API changes in xrefs patch

This revision was landed with ongoing or failed builds.Nov 23 2020, 5:44 PM
This revision was automatically updated to reflect the committed changes.